//    RW Form
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/beauty/form.hpp
// -Declarations of the baseline RW Form sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
/**
 */
class Form_b : public RW {
 public:
  Form_b();                                    // default ctor
  explicit Form_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Form : public Form_b {
 public:
  Form();                                    // default ctor
  explicit Form(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220108
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
