//    RW Board
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/bumpmaster/board.hpp
// -Declarations of the baseline RW Board sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
/**
 */
class Board_b : public RW_slave {
 public:
  Board_b(Hip const& tag, std::string const& handle);  // tag-parm'd ctor

 private:
  Board_b() = delete;  // no default ctor
};

//------------------------------------------------------------------------------
/**
 */
class Board : public Board_b {
 private:
  Board() = delete;  // no default ctor
};

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220108
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
