//   RW Sysutils
// ================
// ______
// -The RW Foundational Libraries

// Filename: ./include/rw/util/utility.hpp
// -Declarations of the baseline RW Sysutils sub-libraries

#pragma once

#include "incls_all.hpp"

//------------------------------------------------------------------------------
/** Determines if a @c std::ostringstream is empty
 * @param[in] oss the ostringstream to check
 * @return true if @a oss is empty, false otherwise
 */
inline bool is_empty(std::ostringstream& oss) {
  // Timer t{"emp"};

  auto posn = oss.tellp();  // store init posn
  //
  // TODO: check for failure here ??
  oss.seekp(0, std::ios_base::end);  // seek to stream's end
  bool chk = (oss.tellp() == 0);     // check if size == 0 ?
  //
  oss.seekp(posn);  // restore init posn

  return chk;
}

//    --=^=--

// "So is it true Sempai? Are robowaifus really better than any human woman?"

// rw_foundations_lib.v220108
// Copyright (2022)
// License MIT(Expat) https://opensource.org/licenses/MIT
