//   RW Atashi
// ==============
// Cognition, Self, Personification, and 'Theory of Mind' Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/atashi.hpp
// -Declarations of the baseline RW Atashi library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi {

//------------------------------------------------------------------------------
/**
 */
class Atashi_b : public RW {
 public:
  Atashi_b();                                    // default ctor
  explicit Atashi_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Atashi : public Atashi_b {
 public:
  Atashi();                                    // default ctor
  explicit Atashi(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi

//    --=^=--

// "There's a teensy-tiny little bunny grill inside her head tbh."

// rw_atashi_lib.v220108
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
